gtk-sharp 0.0.0.0 neutral Gtk# is thread aware, but not thread safe; See the Gtk# Thread Programming for details. Produces an Arrow pointing in one of four cardinal directions.

Arrow should be used to draw simple arrows that need to point in one of the four cardinal directions ( , , , or ). The style of the arrow can be one of the following: , , , and . Note that these directions and style types may be ammended in versions of Gtk to come.

Arrow will fill any space alloted to it, but since it is inherited from , it can be padded and/or aligned, fill exactly the space the programmer desires.

The direction or style of an arrow can be changed after creation by using .

Gtk.Misc Atk.Implementor GLib.IWrapper GLib.IWrapper System.IDisposable
- Method
  System.Void Disposes the resources associated with the object.
- Constructor
  Internal constructor
  Pointer to the C object.
  An instance of Arrow, wrapping the C object.

  This is an internal constructor, and should not be used by user code.

- Constructor
  Constructor
  A valid ArrowType.
  A valid ShadowType.
  A new Arrow
- Property
  Gtk.ShadowType Used to change the appearance of an outline typically provided by a Frame. A valid Shadow type. Returns a new ShadowType.

  Changes the appearance of an outline typically provided by a .

  The shadow types are: , , , and .

- Property
  Gtk.ArrowType Used to change the direction of an Arrow. A valid ArrowType. A new Arrow.

  Changes the direction of an Arrow.

  The cardinal directions are: , , and .

- Property
  GLib.GType GType Property. a Returns the native value for .
- Constructor
  Protected Constructor.
  a
  a
  Chain to this constructor if you have manually registered a native value for your subclass.